<template>
  <div class="login">
    <!-- <v-spaces :height="'20px'"></v-spaces> -->
    <div class="input"  >
      <div class="input-item input-type">
        <p class="title" >{{input[0].title}}</p>
        <div class="item" @click="showSinglePicker">
          <div class="text">{{serviceType}}</div>
          <img :src="down"/>
        </div>
      </div>
    </div>
    <div class="input"  >
      <div class="input-item input-type">
        <p class="title" >{{input[1].title}}</p>
        <div class="item" @click="showMulLinkageTwoPicker">
          <div  class="text">{{pickerText[0]}}{{pickerText[1]}}</div>
          <img :src="down"/>
        </div>
      </div>
    </div>
    <div class="input"  >
      <div class="input-item input-type">
        <p class="title" >{{input[2].title}}</p>
        <div class="item" @click="showSinglePicker3">
          <div  class="text">{{pickerText1}}</div>
          <img :src="down"/>
        </div>
      </div>
    </div>
    <div class="input"  >
      <div class="input-item input-type">
         <p class="title" >{{input[3].title}}</p>
        <div class="item1">
           <textarea 
           @input="textareaEmit($event.mp.detail.value)"
           name="" 
           id="" 
           :value="description"
           placeholder='请输入2个字以上，请您尽量描述清楚哦' class="textarea">
         </textarea>
         <span class="num">{{description.length}}/200</span>
        </div>
      </div>
    </div>
    <div class="pic">
       <p>上传图片</p>
       <div class="imglist">
       <div  v-for="(item,index) in pictureList" :key="index" >
            <v-picture :picture="item" @urlEmit="pictureEmit"></v-picture>
       </div>
       </div>
       <p class="text">最多可上传三张</p>
       
    </div>
   
    
    <div style="height:100rpx"></div>
    <v-footer :footer="'提交'"  @footerEmit="enter()"></v-footer>
     <p class="tip">提交成功后，您的专属品牌顾问将与您联系</p>
    <!--弹出栏-->
    <v-hintbox :hintbox="hintbox" @close="close" ></v-hintbox>
    <mpvue-picker ref="mpvuePicker" :mode="mode" :deepLength="deepLength" :pickerValueDefault="pickerValueDefault" :themeColor="themeColor" @onChange="onChange" @onConfirm="onConfirm" @onCancel="onCancel" :pickerValueArray="pickerValueArray"></mpvue-picker>
    <picker2 ref="picker2" :mode="mode2" :deepLength="deepLength2" :pickerValueDefault="pickerValueDefault2" :themeColor="themeColor2" @onChange2="onChange2" @onConfirm2="onConfirm2" @onCancel2="onCancel2" :pickerValueArray="pickerSingleArray2"></picker2> 
    <picker3 ref="picker3" :mode="mode3" :deepLength="deepLength3" :pickerValueDefault="pickerValueDefault3" :themeColor="themeColor3" @onChange3="onChange3" @onConfirm3="onConfirm3" @onCancel3="onCancel3" :pickerValueArray="pickerSingleArray3"></picker3> 
  </div>
</template>
<script type="text/ecmascript-6">
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import picker1 from '@/components/picker/picker.vue';
  import picker2 from './picker2.vue';
  import picker3 from './picker3.vue';
  import store from '@/store'
  import config from '@/config'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import picture from '@/components/picture/picture.vue'
  import code from '@/components/code/code.vue'
  import footer from '@/components/footer/footer.vue'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import '../../../../static/css/reset.css';
  // import '../../../../static/css/components.scss';
  let mta= require('@/utils/mta_analysis.js');
  export default {
     components: {
      'mpvue-picker':picker1,
      'picker2':picker2,
      'picker3':picker3,
      'v-footer':  footer,
      'v-code' : code,
      'v-hintbox' : hintbox,
      'v-picture' : picture,
    },
    data(){
      return{
        serviceType:'',
        pickerText1:'',
        //  上传图片
        pictureList:[
          {  
            base:'',
            url:config.url + "pic.png",
            index:0,//序号
            delete : false,
            openAlbum:'',//从相册选择
            openCamera:''//从相机选择
          },
        ],
        pic:config.url+'pic.png',
         pickerSingleArray2: [
        {
          label: '住宿费',
          value: 1
        },
        {
          label: '活动费',
          value: 2
        },
        {
          label: '通讯费',
          value: 3
        },
        {
          label: '补助',
          value: 4
        }
      ],
      pickerSingleArray3: [
        {
          label: '住宿费',
          value: 1
        },
        {
          label: '活动费',
          value: 2
        },
        {
          label: '通讯费',
          value: 3
        },
        {
          label: '补助',
          value: 4
        }
      ],
        down:config.url +'合并形状@2x.png',
        description:'',
        appointmentTime:'',
        dateInfo:'',
        pickerText:'',
        mode: 'selector',
        mode2:'selector',
        mode3:'selector',
      deepLength: 0, // 几级联动
      pickerValueDefault: [], // 初始化值
      pickerValueArray: [], // picker 数组值
      pickerText: '',
      themeColor: '', // 颜色主题
         mulLinkageTwoPicker: [],
        //  2
        deepLength2: 0, // 几级联动
      pickerValueDefault2: [], // 初始化值
      pickerText2: '',
      themeColor2: '', // 颜色主题
         mulLinkageTwoPicker2: [],
        //  3
        deepLength3: 0, // 几级联动
      pickerValueDefault3: [], // 初始化值
      pickerValueArray3: [], // picker 数组值
      pickerText3: '',
      themeColor3: '', // 颜色主题
         mulLinkageTwoPicker3: [],
        note:'',
        storeId:'',
        storename:'',
        type:'phone',
        hintbox:{
          text :'',
          show : false
        },
        headerUrl: config.url+'pic-login-header.png',
        input:[
          {
            inputType:'text',
            title:'*服务类型',
          },
          {
            inputType:'number',
            title:'*服务时间',
          },
          {
            inputType:'number',
            title:'*服务门店',
          },
          {
            inputType:'number',
            title:'备注说明',
          },
        ],
        imglist:[],
        // 验证码数据定义
        isGet: false,
        phonenumber: '', // 手机号码
        authcode:"", //输入的验证码
        sec: 60,
        status: false,
        bind:false,
        verificationcode: ''//接口验证码
      }
    },
    
    watch:{
      'store.state.Login.phonenumber'(){

      }
    },
    computed:{
      
      // 登录状态按钮禁用
      status(){
        console.log('status:'+this.gainAuthCodeAction);
        if( this.gainAuthCodeAction ){
          return true;
        }else{
          return false;
        }

      },
      // 获取验证码
      gainAuthCodeAction: function () {
        //第一步：验证手机号码
        return (this.phonenumber.length === 11);
      }

    },
    methods:{
      //上传图片
      pictureEmit(data){
        let that = this;
        console.log('本地上传图片路径',this.imglist);
        if(data.index <2 && data.delete ===true){
          this.pictureList.push({
            base:'',
            url:config.url + "pic.png",
            index:data.index+1,//序号
            delete : false,
            openAlbum:'',//从相册选择
            openCamera:''//从相机选择
          })
        }
        if(data.index <3 && data.delete ===false && that.pictureList.length >1 ){
          // this.pictureList.splice(0,1);
        }
        console.log('pictureList',that.pictureList);
      },
      onChange(e) {
      console.log(e);
    },
    onCancel(e) {
      console.log(e);
    },
    // 单列
    showSinglePicker() {
      this.pickerValueArray = this.pickerSingleArray2;
      this.mode = 'selector';
      this.pickerValueDefault = [];
      this.$refs.picker2.show();
      this.themeColor = '#247FF6';
    },
    showSinglePicker3() {
      config.href(config.customer.store);
    },
      // 二级联动选择
    showMulLinkageTwoPicker() {
      let that = this;
      this.pickerValueArray = this.mulLinkageTwoPicker;
      this.mode = 'multiLinkageSelector';
      this.deepLength = 2;
      this.pickerValueDefault = [1, 0];
      this.themeColor = '';
      that.$refs.mpvuePicker.show();
    },
    onConfirm(e) {
      console.log(e);
      if (this.mode === 'selector') {
        //this.servicetype = e.label;
      } else if (this.mode === 'dateSelector') {
        this.pickerText = e.label;
      } else if (this.mode === 'timeSelector') {
        this.pickerText = e.label;
      } else if (this.mode === 'multiSelector') {
        this.pickerText = e.label;
      } else if (
        this.mode === 'multiLinkageSelector' &&
        this.deepLength === 2
      ) {
        this.pickerText = e.label;
        //let a = this.pickerText.toString();
        console.log(this.pickerText);
        this.dateInfo= e.label[0];
        this.appointmentTime=  e.label[1];
      } else if (
        this.mode === 'multiLinkageSelector' &&
        this.deepLength === 3
      ) {
        this.pickerText = e.label;
      }
    },
    onConfirm2(e) {
      let that = this;
      console.log(e);
      if (this.mode === 'selector') {
        that.serviceType = e.label;
         console.log('33',that.serviceType);
      } else if (this.mode === 'dateSelector') {
        this.pickerText = e.label;
      } else if (this.mode === 'timeSelector') {
        this.pickerText = e.label;
      } else if (this.mode === 'multiSelector') {
        this.pickerText = e.label;
      } else if (
        this.mode === 'multiLinkageSelector' &&
        this.deepLength === 2
      ) {
        this.pickerText = e.label;
        //let a = this.pickerText.toString();
        console.log(this.pickerText);
        this.dateInfo= e.label[0];
        this.appointmentTime=  e.label[1];
      } else if (
        this.mode === 'multiLinkageSelector' &&
        this.deepLength === 3
      ) {
        this.pickerText = e.label;
      }
    },
      onConfirm3(e) {
      let that = this;
      console.log(e);
      if (this.mode === 'selector') {
        that.pickerText1 = e.label;
         console.log('33',that.pickerText1 );
      } else if (this.mode === 'dateSelector') {
        this.pickerText = e.label;
      } else if (this.mode === 'timeSelector') {
        this.pickerText = e.label;
      } else if (this.mode === 'multiSelector') {
        this.pickerText = e.label;
      } else if (
        this.mode === 'multiLinkageSelector' &&
        this.deepLength === 2
      ) {
        this.pickerText = e.label;
        //let a = this.pickerText.toString();
        console.log(this.pickerText);
        this.dateInfo= e.label[0];
        this.appointmentTime=  e.label[1];
      } else if (
        this.mode === 'multiLinkageSelector' &&
        this.deepLength === 3
      ) {
        this.pickerText = e.label;
      }
    },
      //选择时间
      choose(){
        console.log('选择时间');
        //config.href(config.customer.add+'?storeId='+this.storeId);
      },
      close(){
        this.hintbox.show = false;
        this.hintbox.text = '';
      },
      textareaEmit(data){
          this.description = data;
          console.log('预约备注',this.description);
      },
      //获取信息
    getTime(){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/appointment/time?openId='+VerificationCodeEntity.OpenId + '&storeId='+this.storeId,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records){
                that.datas = data.records;
                that.datas.forEach((item,index)=>{
                  that.mulLinkageTwoPicker.push({
                    label:item.dateInfo,
                    value:item.storeId,
                    children:[]
                  })
                  that.datas[index].timeInfo.forEach((item1,index1)=>{
                    that.mulLinkageTwoPicker[index].children.push({
                         label:item1,
                         value:index1,
                    })
                  })
                })
                console.log('list',that.mulLinkageTwoPicker);
                
                
              }else{
                
              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      },
      enter(){
        console.log('11');
        let that = this;
        let veevlink = VeevlinkData();
        this.pictureList.forEach((item,index)=>{
          this.imglist.push(item.base);
        })
        var data = {
          openId:veevlink.OpenId,
          storeId:this.storeId,
          memberId:wx.getStorageSync('memberid'),
          appointmentTime:that.appointmentTime,
          dateInfo:that.dateInfo,
          description:that.description,
          appointmentType:'售后服务',//预约类型默认值
          serviceType:that.serviceType,
          servicePhoto:this.imglist

        };
        console.log('data',data);
        VeevlinkClient(
          '/member/appointment/make',
          'POST',
          data,
          function (data) {
            if(data.success){
              that.hintbox.show = true;
              that.hintbox.text = data.message;
            }else{
              that.hintbox.show = true;
              that.hintbox.text = data.message;
            }
          },
          function (error) {
            console.log(error);
            that.hintbox.show = true;
            that.hintbox.text = error.message;
          })
      },
      
      tel(data){
        let that = this;
        console.log(data);
        console.log(this.phonenumber);

        that.phonenumber =data.value;

//      return
//      let array = [ 'Login','phonenumber',data]
//      store.commit('add',array);
//      console.log(store.state.Login.phonenumber);
//      console.log(this.gainAuthCodeAction);
//       this.phonenumber = store.state.Login.phonenumber
      },
      code(data){
        this.authcode =data.value;
        console.log(this.authcode);
      },
      sss(data){
        console.log(data);
      },
      codeEmit(data){
        this.verificationcode = data;
      },
      
    },
    created(){
      // let array = [ 'Login','phonenumber','']
      // store.commit('add',array);
      console.log(config.url+'pic-login-header.png');
    },
    onLoad(data) {
      mta.Page.init();
      let that = this;  
      this.storeId = data.storeId;
      this.storename= data.storename;
      let list = store.state.service.service;
       this.pickerSingleArray2 = [];
      list.forEach((item,index)=>{
        this.pickerSingleArray2.push({
          label:item,
          value:index
        })
      })
      //this.pickerSingleArray2 = store.state.home.service;
      
      this.getTime();
    }
  }
</script>
<style  lang="scss"  type="text/scss" scoped >
  .login{
    width: 100%;
    color: #000;
    padding-top:0.63rem;
    .input{
      width: 6.7rem;
      margin-left: 0.7rem;
      margin-top:: 0.36rem;
      color: #000;
      .title{
          color:#727171;
          font-size:0.24rem;
        }
      .item{
        width:6.1rem;
        height:0.6rem;
        background:#EAEAEA; 
        margin-top:0.14rem;
        display:flex;
        .text{
           color:#727171;
          font-size:0.24rem;
          padding:0.14rem 0.2rem;
        }
        img{
          width:0.22rem;
          height:0.15rem;
          position:absolute;
          margin-top:0.2rem;
          right:0.92rem;
        }
        

        
      }
      .item1{
        width:6.1rem;
        height:2.34rem;
        background:#EAEAEA; 
        margin-top:0.14rem;
        .textarea{
          //border: 1px solid #000;
          padding:0.24rem 0.32rem;
          font-size:0.24rem;
          color:#999999;
          width:5.48rem;
          height:1.82rem;

        }
        .num{
          position: absolute;
          right: 0.94rem;
          margin-top: -0.45rem;
          color: #999999;
          font-size: 0.24rem;

        }
      }

    }
    .pic{
      margin-left:0.7rem;
      margin-top:0.6rem;
      p{
        font-size:0.24rem;
        color:#727171;

      }
      .imglist{
        display:flex;
        margin-top:0.4rem;  
      }
      .text{
        font-size:0.24rem;
        color:#727171;
        margin-top:0.35rem;

      }
      

    }
    .tip{
      color:#000000;
      opacity:0.4;
      font-size:0.24rem;
      margin-top:0.36rem;
      margin-left:0.7rem;
    }

  }
  


</style>


